select 'post_deployment_script';
BEGIN

EXEC SEC.UpsertProcedureAndSetToProfile '[SCRAP].[GetCommoditySubstitutes]', 'admin Profile', 'devops'
EXEC SEC.UpsertProcedureAndSetToProfile '[SCRAP].[UpsertCommoditySubstitutes]', 'admin Profile', 'devops'
EXEC SEC.UpsertProcedureAndSetToProfile '[SCRAP].[GetAvailableCommoditiesForSwitch]', 'SY Profile', 'devops'
EXEC SEC.UpsertProcedureAndSetToProfile '[SCRAP].[GetAvailableCommoditiesForSwitch]', 'SY Operator', 'devops'
END

IF NOT EXISTS (SELECT 1 FROM UTL.catSettings WHERE SettingName = 'SCRAP_CRANE_APP_ON_HOLD_TIME')
BEGIN
    INSERT INTO UTL.catSettings (SettingName, Value, [Description])
    VALUES ('SCRAP_CRANE_APP_ON_HOLD_TIME', '600', 'Long press duration in milliseconds for opening suggested commodities in charge layers table');
END
